#include <stdio.h>

typedef struct {
  char year[4+1];
  char month[2+1];
  char day[2+1];
} _date;

void splitdate(const char *s, _date *d)
{
  char *p;

  p = d->year;
  while ((*p = *s) != '/') {
    p++;
    s++;
  }
  *p = '\0';
  s++;

  p = d->month;
  while ((*p = *s) != '/') {
    p++;
    s++;
  }
  *p = '\0';
  s++;

  p = d->day;
  while ((*p = *s) != '\0') {
    p++;
    s++;
  }
  *p = '\0';
}

int main(void)
{
  _date d, *p;

  p = &d;
  splitdate("2009/05/21", p);

  printf("Year : %s, Month : %s, Day : %s\n",
         p->year, p->month, p->day);
  return(0);
}
